Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.xml
Class XmlPrinter

    java.lang.Object
      |
      +--com.caucho.xml.XmlPrinter

public class XmlPrinter
extends java.lang.Object

Controls printing of XML documents.

Constructor Summary
`XmlPrinter(WriteStream os)`

Method Summary
`void` | `addCdataElement(java.lang.String elt)`
`boolean` | `getEscaping()`
`com.caucho.java.LineMap` | `getLineMap()`
`void` | `print(Node node)`
`static void` | `printHtml(WriteStream os, Node node)` Prints the node as HTML
`void` | `printNode(Node node)`
`static void` | `printPrettyXml(WriteStream os, Node node)`
`static void` | `printXml(WriteStream os, Node node)` Prints the node as XML.
`void` | `setEscaping(boolean escapeText)`
`void` | `setHtml(double version)`
`void` | `setLineMap(java.lang.String filename)`
`void` | `setMimeType(java.lang.String mimeType)`
`void` | `setPretty(boolean isPretty)`
`void` | `setPrintDeclaration(boolean printDeclaration)`
`void` | `setPublicId(java.lang.String id)`
`void` | `setStandalone(java.lang.String standalone)`
`void` | `setSystemId(java.lang.String id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlPrinter

    public XmlPrinter(WriteStream os)

Method Detail

### printXml

    public static void printXml(WriteStream os,
                                Node node)
                         throws java.io.IOException

  Prints the node as XML.

### printHtml

    public static void printHtml(WriteStream os,
                                 Node node)
                          throws java.io.IOException

  Prints the node as HTML

### printPrettyXml

    public static void printPrettyXml(WriteStream os,
                                      Node node)
                               throws java.io.IOException

### setEscaping

    public void setEscaping(boolean escapeText)

### getEscaping

    public boolean getEscaping()

### setHtml

    public void setHtml(double version)

### setMimeType

    public void setMimeType(java.lang.String mimeType)

### setPretty

    public void setPretty(boolean isPretty)

### setPrintDeclaration

    public void setPrintDeclaration(boolean printDeclaration)

### setStandalone

    public void setStandalone(java.lang.String standalone)

### setSystemId

    public void setSystemId(java.lang.String id)

### setPublicId

    public void setPublicId(java.lang.String id)

### setLineMap

    public void setLineMap(java.lang.String filename)

### getLineMap

    public com.caucho.java.LineMap getLineMap()

### addCdataElement

    public void addCdataElement(java.lang.String elt)

### printNode

    public void printNode(Node node)
                   throws java.io.IOException

### print

    public void print(Node node)
               throws java.io.IOException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD